zenilib: zenilib/jni/external/freetype2/include/freetype/internal/ftrfork.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftrfork.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Classes

struct | FT_RFork_Ref_

## Macros

#define | FT_RACCESS_N_RULES 9

## Typedefs

typedef struct FT_RFork_Ref_ | FT_RFork_Ref

## Functions

| FT_Raccess_Get_DataOffsets (FT_Library library, FT_Stream stream, FT_Long map_offset, FT_Long rdata_pos, FT_Long tag, FT_Long **offsets, FT_Long *count)
| FT_Raccess_Get_HeaderInfo (FT_Library library, FT_Stream stream, FT_Long rfork_offset, FT_Long *map_offset, FT_Long *rdata_pos)
| FT_Raccess_Guess (FT_Library library, FT_Stream stream, char *base_name, char **new_names, FT_Long *offsets, FT_Error *errors)

## Macro Definition Documentation

#define FT_RACCESS_N_RULES 9

Definition at line 37 of file ftrfork.h.

Referenced by FT_Raccess_Guess().

## Typedef Documentation

typedef struct FT_RFork_Ref_ FT_RFork_Ref

## Function Documentation

FT_Raccess_Get_DataOffsets | ( | FT_Library | library,
|  | FT_Stream | stream,
|  | FT_Long | map_offset,
|  | FT_Long | rdata_pos,
|  | FT_Long | tag,
|  | FT_Long ** | offsets,
|  | FT_Long * | count
| ) |  |

Definition at line 149 of file ftrfork.c.

References error, FT_Err_Ok, FT_FREE, FT_NEW_ARRAY, ft_qsort, ft_raccess_sort_ref_by_id(), FT_READ_LONG, FT_READ_USHORT, FT_Stream_Seek(), FT_STREAM_SKIP, FT_TRACE2, i, j, NULL, and FT_RFork_Ref_::offset.

FT_Raccess_Get_HeaderInfo | ( | FT_Library | library,
|  | FT_Stream | stream,
|  | FT_Long | rfork_offset,
|  | FT_Long * | map_offset,
|  | FT_Long * | rdata_pos
| ) |  |

Definition at line 50 of file ftrfork.c.

References error, FT_Err_Ok, FT_READ_USHORT, FT_Stream_Read(), FT_Stream_Seek(), FT_STREAM_SKIP, FT_UNUSED, head, and i.

FT_Raccess_Guess | ( | FT_Library | library,
|  | FT_Stream | stream,
|  | char * | base_name,
|  | char ** | new_names,
|  | FT_Long * | offsets,
|  | FT_Error * | errors
| ) |  |

Definition at line 823 of file ftrfork.c.

References FT_RACCESS_N_RULES, FT_UNUSED, i, and NULL.